2015-03-24  Eric Wasylishen  <ewasylishen@gmail.com>

	* NSWindow-test/NSWindow-test.m: Add a button to open a sheet.

2014-08-31  German Arias <germanandre@gmx.es>

	* NSAnimation-test/AnimationView.m: Use NSAnimationNonblocking, this
	way the app responds to user events.

2013-10-03  Eric Wasylishen  <ewasylishen@gmail.com>

	* NSSlider-test/NSSlider-test.m: Add a circular slider

2013-09-26 Riccardo Mottola <rm@gnu.org>

	* NSBrowser-test
	new test for NSBrowser, with a static and an editable version.

2013-07-10  Fred Kiefer  <FredKiefer@gmx.de>

	* Transparency-test/Transparency-Test.m: Add toggle button to
	ignore mouse events. Toggle with NSCommandKeyMask-i.
	* NSTableView-test/NSTableView-test.m: Make first column selectable.

2011-11-17  Eric Wasylishen  <ewasylishen@gmail.com>

	* StringDrawing-test/StringDrawing-test.m: Fix copy/paste mistake

2011-11-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* Image-test/Image-test.m: Add a test for scalesWhenResized

2011-11-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* ImageSelection-test/ImageSelection-test.m: Test button scaling modes.

2011-11-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* NSWindow-test/NSWindow-test.m: Don't implement windowDidUpdate:
	delegate method as it isn't very interesting and spams the log

2011-11-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* NSWindow-test: add a window test.

2011-09-26  Eric Wasylishen  <ewasylishen@gmail.com>

	* TextSystem-test: add an experimental test for text system stuff

2011-09-26  Eric Wasylishen  <ewasylishen@gmail.com>

	* Image-test/Image-test.m: Test that
	[NSGraphicsContext saveGraphicsState] preserves complicated (bezier-path)
	clipping paths. (currently an expected fail.)
	When passing, two copies of the 'g' figure should show up.

2011-09-12  Eric Wasylishen  <ewasylishen@gmail.com>

	* Transparency-test/Transparency-Test.m: Convert the window background
	to NSCalibratedRGBColorSpace so it is possible to change the alpha
	component.

2011-09-12  Eric Wasylishen  <ewasylishen@gmail.com>

	* Transparency-test: Add a test for window opacity and background color alpha

2011-08-29  Eric Wasylishen  <ewasylishen@gmail.com>

	* Image-test/Image-test.m: Test drawing images with strange DPI's

2011-08-29  Eric Wasylishen  <ewasylishen@gmail.com>

	* Image-test/Image-test.m: Test using lockFocus and drawing an image
	into an image

2011-08-16  Eric Wasylishen  <ewasylishen@gmail.com>

	* Image-test/Image-test.m: Test the edges of an image remain sharp when
	it's scaled up a lot (20x).

2011-08-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Image-test/Image-test.m: Test NSDrawNinePartImage with not enough space
	for drawing all of the parts

2011-08-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Image-test/Image-test.m: Test NSDrawNinePartImage in a flipped view

2011-08-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Image-test/Image-test.m: Test NSDrawNinePartImage

2011-08-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Image-test/Image-test.m: Test NSCustomImageRep, and test that
	drawing it still works even if the rep size is not set.

2011-07-19  Eric Wasylishen  <ewasylishen@gmail.com>

	* Image-test/Image-test.m: Test SVG and PDF drawing.

2011-07-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Image-test/Image-test.m: Test drawing images with a combination
	of flip, rotation, scale, and translation

2011-07-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Image-test/Image-test.m: Test drawing images in a a flipped view

2011-07-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* ImageSelection-test:
	* Image-test: Split part of ImageSelection test off in to a new test
	for general testing of image drawing.

2011-07-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* ImageSelection-test/ImageSelection-test.m: Test
	+[NSGraphicsContext graphicsContextWithBitmapImageRep:], which isn't
	working with cairo.

2011-06-27  Eric Wasylishen  <ewasylishen@gmail.com>

	* ImageSelection-test/ImageSelection-test.m: Test that drawing a vector
	rep scales properly.

2011-06-16  Eric Wasylishen  <ewasylishen@gmail.com>

	* ImageSelection-test/ImageSelection-test.m: Also test NSButton's image
	scaling

2011-06-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* ImageSelection-test/ImageSelection-test.m: Test NSImageView scaling

2011-06-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* ImageSelection-test/ImageSelection-test.m: Add a few more cases

2011-06-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* ImageSelection-test/ImageSelection-test.m: Test drawing sub-
	regions of images.

2011-06-14  Eric Wasylishen  <ewasylishen@gmail.com>

	* ImageSelection-test/ImageSelection-test.m: Expand to include
	tests for -setSize: as well as complex clipping paths

2011-06-13  Eric Wasylishen  <ewasylishen@gmail.com>

	* ImageSelection-test: Fix the TIFFs, which had some sub-images
	inadvertently set to greyscale.

2011-06-08  Eric Wasylishen  <ewasylishen@gmail.com>

	* ImageSelection-test: New test to test how NSImage chooses
	an image rep to draw when many are available. Only a basic
	skeleton of a test is written so far.

	This should include testing: ICNS files with multiple icon sizes,
	TIFF files with	multiple icon sizes and the same DPI, TIFF files
	with multiple simage izes and different DPI (e.g. 64x64@72dpi
	and 256x256@288dpi)

2011-05-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* NSTextView-test/NSTextView-test.m: Test links (add a link on the
	second word of the lorem ipsum text to a wikipedia article)

2011-05-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* PixelExactDrawing-test: Add a new test case.

2011-05-11  Eric Wasylishen  <ewasylishen@gmail.com>

	* PixelExactDrawing-test: Add a new test

2011-04-30  Eric Wasylishen  <ewasylishen@gmail.com>

	* MainMenu.gorm: Add an Edit and a Format menu.

2011-04-29  Eric Wasylishen  <ewasylishen@gmail.com>

	* NSTextView-test/NSTextView-test.m: Test multiple layout managers
	per text storage, and multiple text views per layout manager.

2010-07-26  Fred Kiefer  <FredKiefer@gmx.de>

	* KeyboardInput-test/ConvertKeys.m: Correct setting for backspace key.

2010-07-25  Fred Kiefer  <FredKiefer@gmx.de>

	* KeyboardInput-test/ConvertKeys.m: Add support for backtab character.

2010-06-15 Riccardo Mottola

	* NSProgressIndicator-test:
	Added new test for the progress indicator

2010-04-14  Eric Wasylishen <ewasylishen@gmail.com>

	* Controller.m: On MinGW, display a main window so GSTest
	can be run when the WinUXTheme is enabled.
	* NSButton-test/NSButton-test.m: Add tooltips to the buttons.
	This is to demonstrate a bug I am reporting.

2010-01-28 Eric Wasylishen <ewasylishen@gmail.com>

	* NSButton-test/NSButton-test.m: Show an NSPushOnPushOff button,
	as well as a disabled button.

2010-01-28 Eric Wasylishen <ewasylishen@gmail.com>

	* NSWindowStyleMask-test/NSWindowStyleMask-test.m: Tweak to allow
	creating NSPanels, and allow setting the new NSWindow and NSPanel
	style masks.
	Also added a close button and descriptive label to the created
	windows.

2010-01-28 Eric Wasylishen <ewasylishen@gmail.com>

	* NSButton-test/NSButton-test.m: Add NSPopUpButton and NSComboBox

2010-01-28 Eric Wasylishen <ewasylishen@gmail.com>

	* NSButton-test/NSButton-test.m: Show some NSSegmentedControls

2010-01-28 Eric Wasylishen <ewasylishen@gmail.com>

	* GNUmakefile:
	* NSButton-test/NSButton-test.m:
	* testList.h: Enable the NSButton test. Modify the test to show off
	all of the bezel styles.

2009-12-16  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* GNUmakefile:
	* NSOpenPanel-test/GNUmakefile:
	* NSOpenPanel-test/NSOpenPanel-test.m: Add demo/test for the Open
	panel. The test has been adapted from the Save panel test.

2009-12-15  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* NSSavePanel-test/NSSavePanel-test.m: Add field to supply a list
	of allowed file type extension to the save panel and a button to
	control whether the panel allows other file type extensions.

2009-12-05  Quentin Mathe  <quentin.mathe@gmail.com>

	* NSOutlineView-test/NSOutlineView-test.m: Added new expandable items
	to better test drop above at multiple levels on the same row.

2009-12-05  Quentin Mathe  <quentin.mathe@gmail.com>

	* NSOutlineView-test/NSOutlineView-test.m: Reindented more sensibly and
	rearranged a bit the if else statements logic to be simpler.

2007-02-14  Nicola Pero <nicola.pero@meta-innovation.com>

	* Composite-test/GNUmakefile: Updated definition of
	BUNDLE_INSTALL_DIR to use GNUSTEP_LIBRARY instead of
	GNUSTEP_INSTALLATION_DIR.
	* CoordinateCheck-test/GNUmakefile: Same change.
	* EncodingDecoding-test/GNUmakefile: Same change.
	* GSHbox-test/GNUmakefile: Same change.
	* KeyboardInput-test/GNUmakefile: Same change.
	* NSBox-test/GNUmakefile: Same change.
	* NSButton-test/GNUmakefile: Same change.
	* NSColorList-test/GNUmakefile: Same change.
	* NSColorWell-test/GNUmakefile: Same change.
	* NSForm-test/GNUmakefile: Same change.
	* NSOutlineView-test/GNUmakefile: Same change.
	* NSSavePanel-test/GNUmakefile: Same change.
	* NSScrollView-test/GNUmakefile: Same change.
	* NSSecureTextField-test/GNUmakefile: Same change.
	* NSSlider-test/GNUmakefile: Same change.
	* NSSplitView-test/GNUmakefile: Same change.
	* NSTableView-test/GNUmakefile: Same change.
	* NSTextView-test/GNUmakefile: Same change.
	* NSWindowStyleMask-test/GNUmakefile: Same change.
	* StringDrawing-test/GNUmakefile: Same change.

2004-08-14  Adam Fedor  <fedor@gnu.org>

	* Controller.[hm]: New files split from main
	* MainModel.gmodel: Interface file.
	* GSTestInfo.plist: New file
	* */GNUmakefile: Install bundles in ApplicationSupport/GSTest
	(Patches from Rob Burns <foobix@comcast.net>).

2004-02-08  Fred Kiefer  <FredKiefer@gmx.de>

	* KeyboardInput-test/KeyboardInput-test.m (-dealloc) Unset window
	delegate to prevent call to freed object.

2003-07-26  Fred Kiefer  <FredKiefer@gmx.de>

	* main.m
	Changed type of variable menuItem in main() to remove compiler warnings.
	* Composite-test/MyView.m
	* NSTableView-test/NSTableView-test.m
	Added [dealloc] method.
	* NSBox-test/NSBox-test.m
	In [NSBoxTest init] release the cell prototype.
	* NSSavePanel-test/NSSavePanel-test.m
	Added missing @end.

Mon Jun 10 09:36:57 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* NSButton-test/GNUmakefile: New file.
	* NSButton-test/NSButton-test.m: New file.
	* NSButton-test/README: New file.

2002-04-24  Adam Fedor  <fedor@gnu.org>

	* main.m ([Controller -startUnlistedTest:sender]): Retain unlisted
	tests in an array so they don't disappear after the next autorelease
	loop.

Thu Apr 11 22:59:34 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* NSSavePanel-test/NSSavePanel-test.m ([NSSavePanelTest -init]): Updated
	for newer gnustep-gui: no longer adjust manually button size,
	the new gnustep-gui gets them right automatically.
	* StringDrawing-test/StringDrawing-test.m ([StringDrawingTest
	-init]): Idem.
	* NSWindowStyleMask-test/NSWindowStyleMask-test.m
	([NSWindowStyleMaskTest -init]): Idem.
	* EncodingDecoding-test/EncodingDecoding-test.m
	([EncodingDecodingTest -init]): Idem.
	* main.m: Version 1.0.

2002-03-22  Pierre-Yves Rivaille <pyrivail@ens-lyon.fr>

	* NSTableView-test/NSTableView-test.m :
	Modified to use drag'n'drop.
	keys, values and test are now declared as static.
	* NSOutlineView-test/NSOutlineView-test.m
	Modified to use drag'n'drop.
	keys, values and test are now declared as static.

2002-03-05  Gregory John Casamento <greg_casamento@yahoo.com>

	* NSOutlineView-test/NSOutlineView-test.m made modifications
	to the [NSOutlineViewTest -outlineView:child:ofItem:] method
	to return children starting from zero instead of one.

2002-03-05  Pierre-Yves Rivaille <pyrivail@ens-lyon.fr>

	* NSTableView-test/NSTableView-test.m ([NSTableViewTest -init]):
	Set minWidth for all columns. Don't call sizeToFit: anymore.

Mon Mar  4 09:31:04 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* main.m (main): Set to nil the listed test instances at startup;
	do not dealloc pools after termination of program.
	([Controller -dealloc]): Destroy the test instances.
	([Controller -loadAndStartTestWithBundlePath:]): Autorelease the
	returned object.
	([Controller -startListedTest:]): Retain the new bundle principal
	class instance.
	([Controller -applicationWillTerminate:]): New method.

Sat Feb 27 01:54:10 2002  Gregory Casamento <greg_casamento@yahoo.com>

	* NSOutlineView-test/NSOutlineView-test.m:  Added code to test
	indentation in NSOutlineView.

Sat Feb 23 13:08:47 2002  Gregory Casamento <greg_casamento@yahoo.com>

	* NSOutlineView-test/NSOutlineView-test.m:  Further improvements
	to this test bundle to exercise NSOutlineView.

Sat Feb 23 13:08:47 2002  Gregory Casamento <greg_casamento@yahoo.com>

	* Added NSOutlineView-test.m to the test directory.

Wed Feb 20 19:28:52 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	Moved the memory panel into gnustep-gui so all apps have it.  To
	get the memory panel with new apps click on application icon in
	the info panel (works for any app).
	* MemoryPanel.m: Removed.
	* MemoryPanel.h: Removed.
	* main.m: Do not include MemoryPanel.h.
	(main): Do not add the memory panel submenu.
	* GNUmakefile: Do not compile MemoryPanel.m

Wed Jan 16 22:12:24 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* NSSlider-test/NSSlider-test.m ([-init]): Added enable/disable
	buttons to enable/disable the sliders.
	([-vEnabledChanged:], [-hEnabledChanged:]): New methods

2002-01-09  Adam Fedor  <fedor@gnu.org>

	* main.m (main): Remove main menu display.

Fri Dec 21 14:28:48 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* KeyboardInput-test/ConvertKeys.m: New file.
	* KeyboardInput-test/ConvertKeys.h: Idem.
	* KeyboardInput-test/GNUmakefile: Compile it.
	* KeyboardInput-test/KeyboardInput-test.m ([InputTestView
	-keyDown:]): Use the new falitites to display pretty names for
	function keys.
	* main.m: Updated version to 0.8.

Wed Jul  4 18:41:29 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* GNUmakefile (SUBPROJECTS), testList.h (testList): Added
	NSTextView-test.
	* NSTextView-test: New directory.
	* NSTextView-test/NSTextView-test.m: New file.
	* NSTextView-test/GNumakefile: New file.
	* main.m: Updated version to 0.7.

Sun Jun 10 20:00:51 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* StringDrawing-test/StringDrawing-test.m
	([-chooseTextFile:sender]): Use an NSOpenPanel rather than a
	NSSavePanel.

Thu Feb  8 19:42:38 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile (SUBPROJECTS), testList.h (testList): Added
	NSSecureTextField-test.
	* NSSecureTextField-test: New directory.
	* NSSecureTextField-test/NSSecureTextField-test.m: New file.
	* NSSecureTextField-test/GNUmakefile: New file.
	* main.m: Updated version to 0.6.

Tue Jan 20  Michael Hanni  <mhanni@sprintmail.com>

	* Composite-test/.cvsignore, CoordinateCheck-test/.cvsignore,
	NSTableView-test/.cvsignore, NSWindowStyleMask-test/.cvsignore:
	added for cleanliness.

Sun Jan 28 19:37:39 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* main.m: Updated version to 0.5; keep track of date.

Sun Jan 28 19:14:45 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile, testList.h (testList): Added CoordinateCheck-test.
	* CoordinateCheck-test: New directory.
	* CoordinateCheck-test/CoordinateCheck-test.m: New file.
	* CoordinateCheck-test/GNUmakefile: New file.

2001-01-08  Fred Kiefer  <FredKiefer@gmx.de>

	* NSColorWell-test/NSColorWell-test.m
	([NSColorWellTest -showColorList]) release the hboxes.

Tue Dec 12 02:32:35 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* GSTest/GNUmakefile: Updated/Simplified.

Tue Dec 12 02:20:23 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* MemoryPanel.h, MemoryPanel.m: Rewritten to use the new
	GSDebugAllocation functions.

Wed Sep  6 23:46:35 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* GNUmakefile: Added NSWindowStyleMask-test.

Tue Sep  5 19:09:32 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* EncodingDecoding-test/EncodingDecoding-test.m ([-encode:]):
	Output exception description.

Tue Sep  5 00:55:55 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* EncodingDecoding-test/EncodingDecoding-test.m ([-openWindow:]):
	RETAIN decoded window.

Sun Sep  3 21:28:46 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* NSSlider-test/NSSlider-test.m ([NSSliderTest -init]): Set title
	of horizontal slider.

Sat Sep  2 01:05:48 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* MemoryPanel.m ([NSMenu -addMemoryPanelSubmenu]): Create the
	shared memory panel later.
	* MemoryPanel.h, MemoryPanel.m ([MemoryPanel +update:]): New method.
	* main.m (main): Empty autorelease pool before running
	application.

Fri Sep  1 22:47:42 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* MemoryPanel.m ([MemoryPanel -init]): Order entries by number
	of allocated objects by default.

Fri Sep  1 16:18:50 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	Implemented a memory panel to track memory leaks in the library.
	* main.m (main): Added memory menu.
	* MemoryPanel.m, MemoryPabel.h: New files.
	* GNUmakefile: Added the new files.

Thu Jul 20 01:53:27 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* NSWindowStyleMask: New test.
	* testList.h (testList): Added test.

Tue Jul 18 17:46:12 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* KeyboardInput-test/KeyboardInput-test.m ([-init]): Fixed min
	size of window.
	* NSBox-test/NSBox-test.m ([-init]): Idem.
	* NSColorWell-test/NSColorWell-test.m ([-init]): Idem.
	* NSSlider-test/NSSlider-test.m ([-init]): Idem.

Thu Apr 13 19:00:36 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* EncodingDecoding-test/EncodingDecoding-test.m ([-decode:]):
	Catch exception on decoding and show an error panel if that
	happens. ([-encode:]): Idem on encoding.

Thu Apr 13 18:31:08 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* Composite-test/Composite-test.m ([-init]): Do not release the
	window when closed.
	* EncodingDecoding-test/EncodingDecoding-test.m
	([EncodingDecodingTest -init]): Idem.
	* GSHbox-test/GSHbox-test.m ([GSHboxTest -init]): Idem.
	* KeyboardInput-test/KeyboardInput-test.m ([KeyboardInputTest
	-dealloc]): Idem.
	* NSBox-test/NSBox-test.m ([NSBoxTest -init]): Idem.
	* NSColorList-test/NSColorList-test.m ([NSColorListTest -init]):
	Idem.
	* NSColorWell-test/NSColorWell-test.m ([NSColorWellTest -init]):
	Idem.
	* NSForm-test/NSForm-test.m ([NSFormTest -init]): Idem.
	* NSSavePanel-test/NSSavePanel-test.m ([NSSavePanelTest -init]):
	Idem.
	* NSScrollView-test/NSScrollView-test.m ([NSScrollViewTest
	-init]): Idem.
	* NSSlider-test/NSSlider-test.m ([NSSliderTest -init]): Idem.
	* NSSplitView-test/NSSplitView-test.m ([NSSplitViewTest -init]):
	Idem.
	* NSTableView-test/NSTableView-test.m ([NSTableViewTest -init]):
	Idem.
	* StringDrawing-test/StringDrawing-test.m ([StringDrawingTest
	-init]): Idem.

Sat Mar 18 00:11:31 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* NSTableView-test: New test.
	* testList.h: Added test.

2000-03-11  Adam Fedor  <fedor@gnu.org>

	* Composite-test: New test.

Mon Feb 14 22:14:14 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* NSSavePanel-test/NSSavePanel-test.m ([-startSavePanel:sender]):
	Emit a warning panel and refuse to run the save panel if a
	not-valid filename, ie one beginning with "/", is supplied.

Sun Feb 13 01:18:37 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* main.m ([Controller -runInfoPanel:sender]): Use AUTORELEASE
	instead of -autorelease.  (main): AUTORELEASE each created menu,
	and a couple of minor memory management tidyups.

Sat Feb 12 18:03:01 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* StringDrawing-test/StringDrawing-test.m ([-init]): Improved
	autoresizing.

Sat Feb  5 03:37:52 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* main.m (main): Added "Hide" menu item.
	* StringDrawing-test/StringDrawing-test.m ([-init]): Changed
	button text.

Thu Feb  3 01:23:59 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* main.m (main): Added "..." to Info Panel, Help and
	Test Not In The List menu items.

Mon Jan 31 22:31:09 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* NSSlider-test/NSSlider-test.m ([NSSliderTest -init]): Fixed
	attributes of text fields.

Mon Jan 31 22:01:07 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* KeyboardInput-test/KeyboardInput-test.m: Test rewritten
	with new interface design.

Tue Jan 25 23:40:24 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* StringDrawing-test/StringDrawing-test.m ([TrivialTextView
	-drawRect:]): Fix for nil attr.
	([StringDrawingTest -chooseTextFile:]): Fixed memory leak.
	([StringDrawingTest -init]): Made the scrollview bigger.

Tue Jan 25 00:41:11 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* main.m ([Controller -runInfoPanel:sender]): Use the new
	standard Info Panel provided by the GNUstep libraries;
	* main.m (main): Invoke the Help Panel even if not yet implemented
	yet.
	* infoPanel.m, infoPanel.h: Added comment saying that this class
	is unused.
	* GNUmakefile: Removed any reference to infoPanel.m, infoPanel.h.

Mon Jan 24 23:17:12 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	New test StringDrawing-test:
	* StringDrawing-test/StringDrawing-test.m: New file.
	* StringDrawing-test/GNUmakefile: New file.
	* GNUmakefile: Added StringDrawing-test.
	* testList.h: Added StringDrawing-test.

Fri Jan 14 06:55:29 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* EncodingDecoding-test/EncodingDecoding-test.m ([-init]): Set
 	autoresizing mask of the browser; removed border in excess.
	* NSBox-test/NSBox-test.m ([-init]): Set vertical intercell
 	spacing of set boxes to 4; added boxes to group options; centered
	option matrixes inside boxes.
	* NSColorList-test/NSColorList-test.m ([-init]): Set autoresizing
 	mask of the browser.  ([-showColorList:]): Added border around
 	vbox showing color list.
	* NSForm-test/NSForm-test.m ([-init]): Added missing autoreleases;
	added size to fit of NSForms.
	* NSSavePanel-test/NSSavePanel-test.m ([-init]): Better sizing of
 	button and options form; added subvbox to center left-aligned
 	group of buttons; rewritten result output presentation.
	* NSSlider-test/NSSlider-test.m ([-init]): Changed alignment,
 	disposition of things.

Sat Jan  8 23:33:21 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* main.m: ([Controller -init]): Added missing retain.
  	([Controller -dealloc]): Added method.  ([Controller
 	-runInfoPanel:sender]): Simplified.  ([Controller
 	-startUnlistedTest:sender]): Use the Open Panel.
	* NSBox-test/NSBox-test.m ([-dealloc]): Added method.
	* NSColorWell-test/NSColorWell-test.m ([-init]): The color well is
 	not any longer an instance variable. ([-dealloc]): Added method.
	* NSSavePanel-test/NSSavePanel-test.m ([-dealloc]): Added method.
	* NSScrollView-test/NSScrollView-test.m ([-dealloc]): Added method.
	* NSSlider-test/NSSlider-test.m ([-dealloc]): Added method.
	* NSSplitView-test/NSSplitView-test.m ([-dealloc]): Added method.
	* EncodingDecoding-test/EncodingDecoding-test.m ([-init]): Set
 	browser target so that double clicking on a window opens the
 	window.  ([-openWindow:]):  Removed log.  ([-dealloc]):
 	Finished.  ([-decode:]): Invoke the open panel in adherence to doc.
	* KeyboardInput-test/KeyboardInput-test.m ([-dealloc]): Added
 	method.

	New test NSColorList-test.
	* NSColorList-test: New directory.
	* NSColorList-test/GNUmakefile: New file.
	* NSColorList-test/NSColorList-test.m: New file.
	* testList.h: Added test to the list.
	* GNUmakefile: idem.

Fri Dec 17 06:16:30 1999  Nicola Pero  <n.pero@mi.flashnet.it>

	* NSSavePanel-test/NSSavePanel-test.m ([NSSavePanelTest -init]):
 	Make 'Start Save Panel' button bigger; add more space over the
 	button.

	New test EncodingDecoding-test.  This test is meant for library
	developing.  It will be replaced with a test more focused as a demo.
	* EncodingDecoding-test: New directory.
	* EncodingDecoding-test/GNUmakefile: New file.
	* EncodingDecoding-test/EncodingDecoding-test.m: New file.

Thu Dec  9 20:47:06 1999  Nicola Pero  <n.pero@mi.flashnet.it>

	New test NSSavePanel-test.
	* NSSavePanel-test: New directory.
	* NSSavePanel-test/GNUmakefile: New file.
	* NSSavePanel-test/NSSavePanel-test.m: New file.
	* testList.h: Added test to the list.
	* GNUmakefile: idem.

Tue Dec  7 04:28:15 1999  Nicola Pero  <n.pero@mi.flashnet.it>

	* KeyboardInput-test/KeyboardInput-test.m ([-init]): Set background
	color of non editable text fields.

Fri Dec  3 20:38:26 1999  Nicola Pero  <n.pero@mi.flashnet.it>

	New test GSHbox-test.
	* GSHbox-test: New directory.
	* GSHbox-test/GNUmakefile: New file.
	* GSHbox-test/GSHbox-test.m: New directory.
	* NSForm-test/NSForm-test.m ([-dealloc]): Added.

Sun Nov 28 18:09:46 1999  Nicola Pero  <n.pero@mi.flashnet.it>

	New test NSForm-test.
	* NSForm-test: New directory.
	* NSForm-test/GNUmakefile: New file.
	* NSForm-test/NSForm-test.m: New file.

Sat Nov 27 05:25:15 1999  Nicola Pero  <n.pero@mi.flashnet.it>

	* KeyboardInput-test/KeyboardInput-test.m ([inputTestView
 	-drawRect:]): Fixed bug.
	* KeyboardInput-test/KeyboardInput-test.m ([KeyboardInputTest
 	-init]): Moved typing view to top.
